
Name:           kibana
Version:        3.0.0
Release:        0%{?dist}
Summary:        Kibana is a user friendly way to view, search and visualize your log data

Group:          Applications/Internet
License:        ASL 2.0
URL:            http://www.kibana.org/
BuildArch:      noarch
Source0:        https://download.elasticsearch.org/kibana/kibana/kibana-latest.tar.gz
Source1:        kibana.conf
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
Requires:       httpd

%description
Kibana is a highly scalable interface for Logstash and ElasticSearch
that allows you to efficiently search, graph, analyze and otherwise
make sense of a mountain of logs.


%prep
%setup -qn %{name}-latest


%build
mv -f app/dashboards/logstash.json app/dashboards/default.json


%install
rm -rf                                  $RPM_BUILD_ROOT
mkdir -p    $RPM_BUILD_ROOT/var/www/kibana
mv *        $RPM_BUILD_ROOT/var/www/kibana
mkdir -p    $RPM_BUILD_ROOT/etc/httpd/conf.d
cp %SOURCE1 $RPM_BUILD_ROOT/etc/httpd/conf.d


%pre


%post


%preun


%postun


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-, root, root, -)
/var/www/%{name}
/etc/httpd/conf.d/%{name}.conf


%changelog
* Mon Sep 23 2013  <carl@five-ten-sg.com> - 3.0.0-0
- update to 3.0.0, pure html/css/javascript

* Mon May 06 2013  <carl@five-ten-sg.com> - 0.2.0-1
- switch to building standard ruby gem, avoid jruby

* Fri Apr 25 2013  <carl@five-ten-sg.com> - 0.2.0-0
- Initial build.

