# prevent brp repack jar files
%define __os_install_post %{nil}


Summary:        elasticsearch is a scalable full text search engine
Name:           elasticsearch
Version:        0.90.5
Release:        0%{?dist}
Group:          System Environment/Daemons
License:        Apache 2.0
URL:            http://www.elasticsearch.org/
BuildArch:      noarch
Source0:        https://nodeload.github.com/%{name}/%{name}/tar.gz/v%{version}/%{name}-%{version}.tar.gz
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires:  java-devel

%if "%{?dist}" != ".el6"
# el6 does not have maven yet, so we assume it is manually installed
# in /usr/local/apache-maven-3.0.5
BuildRequires:  maven-local
%endif

%description


%prep
%setup -q


%build
[ "%{?dist}" == ".el6" ] && export PATH=/usr/local/apache-maven-3.0.5/bin:$PATH
mvn -Dmaven.test.skip=true clean package


%install
rm -rf $RPM_BUILD_ROOT
mkdir xx
cd xx
tar xvfz ../target/releases/%{name}-%{version}.tar.gz
for f in %{name}-%{version}/lib/*.jar; do
    b=$(basename $f)
    install -D -p -m 644 $f $RPM_BUILD_ROOT%{_javadir}/%{name}/$b
done
cd $RPM_BUILD_ROOT%{_javadir}/%{name}
for f in lucene-{core,analyzers-common,codecs,queries,memory,highlighter,queryparser,sandbox,suggest,join,grouping,spatial} spatial4j jts log4j jna elasticsearch; do
    v=$(echo $f*.jar)
    ln --symbolic $v $f.jar
done


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%attr(0755,root,root) %{_javadir}/%{name}



%changelog
* Sun Sep 22 2013  <carl@five-ten-sg.com> - 0.90.5-0
- update to 0.90.5

* Fri May 10 2013  <carl@five-ten-sg.com> - 0.90.0-0
- update to 0.90.0

* Wed Apr 10 2013  <carl@five-ten-sg.com> - 0.20.6-0
- Initial build.
