# Generated from tzinfo-0.3.24.gem by gem2rpm -*- rpm-spec -*-
%global gemdir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%global gemname tzinfo
%global geminstdir %{gemdir}/gems/%{gemname}-%{version}
%global download_path http://rubygems.org/downloads/
%global rubyabi 1.8

Summary: Daylight-savings aware timezone library
Name: rubygem-%{gemname}
Version: 0.3.24
Release: 2%{?dist}
Group: Development/Languages
License: MIT
URL: http://tzinfo.rubyforge.org/
Source0: %{download_path}%{gemname}-%{version}.gem
Requires: ruby(abi) = %{rubyabi}
Requires: rubygems
BuildRequires: rubygems
BuildRequires: ruby(abi) = %{rubyabi}
BuildRequires: rubygem(rake)
BuildArch: noarch
Provides: rubygem(%{gemname}) = %{version}

%description
TZInfo is a Ruby library that uses the standard tz (Olson) database to provide
daylight savings aware transformations between times in different time zones.

%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
%description doc
This package contains documentation for %{name}.

%prep

%build

%install
%{__mkdir_p} %{buildroot}%{gemdir}
gem install --local --install-dir %{buildroot}%{gemdir} \
            --force --rdoc %{SOURCE0}
%{__rm} -Rf %{buildroot}/%{geminstdir}/.yardoc

%check
pushd %{buildroot}%{geminstdir}
rake test

%files
%defattr(-, root, root, -)
%dir %{geminstdir}
%{geminstdir}/lib
%{gemdir}/cache/%{gemname}-%{version}.gem
%{gemdir}/specifications/%{gemname}-%{version}.gemspec
%doc %{geminstdir}/LICENSE
%doc %{geminstdir}/README

%files doc
%defattr(-, root, root, -)
%{gemdir}/doc/%{gemname}-%{version}
%{geminstdir}/CHANGES
%{geminstdir}/test
%{geminstdir}/Rakefile

%changelog
* Tue Jan 25 2011  <Minnikhanov@gmail.com> - 0.3.24-2
- Fix Comment 3 #668098. https://bugzilla.redhat.com/show_bug.cgi?id=668098#c3 

* Tue Jan 18 2011  <Minnikhanov@gmail.com> - 0.3.24-1
- Updated mail to latest upstream release

* Sat Jan 08 2011  <Minnikhanov@gmail.com> - 0.3.23-1
- Initial package

